Table of Contents

_________________________________________________________________

## NAME

Dm - create and manipulate a display manager widget.

## SYNOPSIS

Dm pathName ?options?

## INHERITANCE

itk::Archetype <- itk::Widget <- Dm

## STANDARD OPTIONS

  background cursor

See the "options" manual entry for details on the standard options.

## INHERITED OPTIONS

Options inherited from itk::Archetype:

  clientdata

## WIDGET-SPECIFIC OPTIONS

Name:
  bg

Class:
  Bg

Command-Line Switch:
  -bg

Specifies the background color of the drawing area. See the bg method.

Name:
  debug

Class:
  Debug

Command-Line Switch:
  -debug

Specifies the debug mode. See the debug method.

Name:
  dmsize

Class:
  Dmsize

Command-Line Switch:
  -dmsize

Specifies the window's size. See the dmsize method.

Name:
  fb_active

Class:
  Fb_active

Command-Line Switch:
  -fb_active

Specifies whether or not the framebuffer is active. A value of 0 indicates inactive and 1 indicates active.

Name:
  fb_observe

Class:
  fb_observe

Command-Line Switch:
  -fb_observe

Specifies whether or not the display manager is observing if pixel data arrives in the framebuffer. 0 indicates not observing and 1 indicates observing. See the fb_observe method.

Name:
  light

Class:
  Light

Command-Line Switch:
  -light

Specifies the light mode. See the light method.

Name:
  linestyle

Class:
  Linestyle

Command-Line Switch:
  -linestyle

Specifies the linestyle. See the linestyle method.

Name:
  linewidth

Class:
  Linewidth

Command-Line Switch:
  -linewidth

Specifies the linewidth. See the linewidth method.

Name:
  listen

Class:
  Listen

Command-Line Switch:
  -listen

Specifies the port to listen on. See the listen method.

Name:
  perspective

Class:
  Perspective

Command-Line Switch:
  -perspective

Specifies the perspective mode. See the perspective method.

Name:
  type

Class:
  Type

Command-Line Switch:
  -type

Specifies the display manager type. The valid types are X and ogl.

Name:
  zbuffer

Class:
  Zbuffer

Command-Line Switch:
  -zbuffer

Specifies the zbuffer mode. See the zbuffer method.

Name:
  zclip

Class:
  Zclip

Command-Line Switch:
  -zclip

Specifies the zclipping mode. See the zclip method.

## DESCRIPTION

The Dm command creates a new window (given by the pathName argument) and makes it into a display manager widget for displaying geometry. Additional options, described above, may be specified on the command line or in the option database to configure aspects of the display manager widget. The Dm command returns its pathName argument. At the time this command is invoked, there must not exist a window named pathName, but pathName's parent must exist.

## METHODS

The Dm command creates a new Tcl command whose name is pathName. This command may be used to invoke various operations on the display manager widget. It has the following general form:

pathName option ?arg arg ...?

Option and the args determine the exact behavior of the command. The following commands are possible for display manager widgets:

### BUILT-IN METHODS

  isa info

### ASSOCIATED METHODS

Methods associated with LIBDM's display manager object:

  bg bounds clear debug dmsize drawBegin drawEnd drawGeom drawLine drawPoint drawString fg flush get_aspect light linestyle linewidth listen loadmat normal observer perspective refreshfb sync zbuffer zclip

### INHERITED METHODS

Methods inherited from Archetype:

  cget component configure

### WIDGET-SPECIFIC METHODS

pathName dmsize ?width ?height??
  Set/get the window size. If only width is specified, both width and height will be set according to width.

pathName fb_active ?0 | 1?
  Set/get the framebuffer active mode.

pathName fb_observe ?0 | 1?
  Set/get the framebuffer observer mode. A value of 1 indicates the display manager is observing the framebuffer (i.e. notified when pixel data arrives in the framebuffer) and 0 indicates not observing.

## COMPONENTS

Name:
  dm

The dm component is a display manager object.

## NOTES

The Dm class wraps LIBDM's display manager object.

## EXAMPLE

The following sequence creates a display manager and draws two lines that connect the opposite corners of the window.

cwish> Dm .dm
.dm
cwish> pack .dm -expand yes -fill both
cwish> .dm drawBegin
cwish> .dm drawLine -1 1 1 -1
cwish> .dm drawLine -1 -1 1 1
cwish> .dm drawEnd

## ACKNOWLEDGEMENTS:

Mark L. Ulferts <mulferts@austin.dsccc.com>

            Basic layout for documenting classes.

## AUTHOR

Robert G. Parker

## KEYWORDS

Dm, draw, vlist

Table of Contents

- NAME
- SYNOPSIS
- INHERITANCE
- STANDARD OPTIONS
- INHERITED OPTIONS
- WIDGET-SPECIFIC OPTIONS
- DESCRIPTION
- METHODS
- BUILT-IN METHODS
- ASSOCIATED METHODS
- INHERITED METHODS
- WIDGET-SPECIFIC METHODS
- COMPONENTS
- NOTES
- EXAMPLE
- ACKNOWLEDGEMENTS
- AUTHOR
- KEYWORDS